# Class FootnoteReference

#### Hierarchy

- XmlComponent
  - FootnoteReference

- Defined in src/file/footnotes/footnote/run/reference-run.ts:12

#####
Index

### Constructors

constructor

### Methods

addChildElement
prepForXml

## Constructors

### constructor

- new FootnoteReference(id): FootnoteReference

- #### Parameters

  - ##### id: number

  #### Returns FootnoteReference

  Overrides XmlComponent.constructor

  - Defined in src/file/footnotes/footnote/run/reference-run.ts:13

## Methods

### addChildElement

- addChildElement(child): XmlComponent

- #### Parameters

  - ##### child: string | XmlComponent

  #### Returns XmlComponent

  Inherited from XmlComponent.addChildElement

  - Defined in src/file/xml-components/xml-component.ts:45

### prepForXml

- prepForXml(context): undefined | IXmlableObject

- #### Parameters

  - ##### context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from XmlComponent.prepForXml

  - Defined in src/file/xml-components/xml-component.ts:20

Generated using TypeDoc